Subject: Re: [bug#30400] [PATCH] gnu: clementine: Remove Spotify downloader.

From: [email-masked] (Ludovic Courtès)
Date: Fri, 09 Feb 2018 23:12:03 +0100

Hello,

Leo Famulari <[email-masked]> skribis:

> On Thu, Feb 08, 2018 at 11:09:19PM +0000, Pierre Langlois wrote:
>> Hi Guix!
>> 
>> I realized today that a new version of crypto++ was out so I set out to
>> update it but Clementine failed to compile. There's a patch on master [0]
>> that fixes the issue so I was going to apply it when I realized the bit
>> of code in question downloads a binary blob to support Spotify.  It
>> turns out there's a button in the preference menu that allows users to
>> download this proprietary blob, and crypto++ appears to be used to check
>> it.
>
> Thanks for pointing this out! I reindented the #:configure-flags and
> added some comments to the first patch, and pushed as
> af414f34fb6e3609e572880f3b0b3bbcb1b3bfc6
>
> My understanding of the FSDG [0] makes me think that we'll need to go
> further and, in an origin snippet, remove the code performs the download
> of the non-free component. This would mean that `guix build --source
> clementine` would return something that follows the FSDG. CC-ing Ludo
> for clarification.

Correct, removal of non-free code should go in ‘snippet’ for the reason
you gave.

Thanks for looking into it,
Ludo’.